let accounts_menu = $("#batch_connect_session_context_auto_accounts");
let partitions_menu = $("#batch_connect_session_context_slurm_partition");
let cpus_input = $("#batch_connect_session_context_slurm_cpus");
let memory_input = $("#batch_connect_session_context_slurm_mem");
let gpus_menu = $("#batch_connect_session_context_slurm_gpu");

function update_partitions() {
    let account = accounts_menu.val();
    let partition = partitions_menu.val();
    
    $("#batch_connect_session_context_slurm_partition > option").each(function() {
        if($(this).data('accounts').includes(account)) {
            $(this).removeAttr('disabled');
            $(this).prop('selected', true);
        }
        else
        {
            $(this).attr('disabled','disabled');
            if($(this).val() == partition) {
                $(this).prop('selected', false);
            }
        }
    });
    
    update_gpus();
}

function update_gpus() {
    let partition = partitions_menu.val();
    let gpu = gpus_menu.val();
    
    $("#batch_connect_session_context_slurm_gpu > option").each(function() {
        if($(this).val() === '' || $(this).data('partitions').includes(partition)) {
            $(this).removeAttr('disabled');
            $(this).prop('selected', true);
        } else {
            $(this).attr('disabled','disabled');
            if($(this).val() == gpu) {
                $(this).prop('selected', false);
            }
        }
    });
    
}

function update_mem() {
    memory_input.val(cpus_input.val() * 2)
}

accounts_menu.change(update_partitions);
partitions_menu.change(update_gpus);
cpus_input.change(update_mem);
update_partitions();
